Debian Bug report logs - #436857
freebsd5-buildutils: not handling nostrip build option (policy 10.1)

version graph

Package: freebsd-buildutils; Maintainer for freebsd-buildutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-buildutils is src:freebsd-buildutils.

Reported by: Julien Danjou <acid@debian.org>

Date: Thu, 9 Aug 2007 07:57:01 UTC

Severity: wishlist

Fixed in version freebsd-buildutils/7.2-2

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#436857; Package freebsd5-buildutils. Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: submit@bugs.debian.org
Subject: freebsd5-buildutils: not handling nostrip build option (policy 10.1)
Date: Thu, 9 Aug 2007 09:55:56 +0200
Package: freebsd5-buildutils
Version: 5.4-4
Severity: wishlist
User: buildd@naquadah.org
Usertags: nostrip

Hello,

There was a problem while autobuilding your package with DEB_BUILD_OPTIONS=nostrip.
Final binaries are still stripped.

If you call dh_strip correctly in debian/rules, this may mean that upstream
is stripping anyway.
You should look for call to strip, ld -s or install -s which may strip binaries.


> Automatic build of freebsd5-buildutils_5.4-4 on octave for sid/i386 by rebuildd 0.2.1
> Build started at 2007-08-09 07:36:06.164441
> ******************************************************************************
> Reading package lists...
> Building dependency tree...
> Reading state information...
> Need to get 752kB of source archives.
> Get:1 http://ftp.fr.debian.org sid/main freebsd5-buildutils 5.4-4 (dsc) [752B]
> Get:2 http://ftp.fr.debian.org sid/main freebsd5-buildutils 5.4-4 (tar) [723kB]
> Get:3 http://ftp.fr.debian.org sid/main freebsd5-buildutils 5.4-4 (diff) [28.1kB]
> Fetched 752kB in 0s (1006kB/s)
> Download complete and in download only mode
> W: /home/staff/jd/.pbuilderrc does not exist
> I: using fakeroot in build.
> Current time: Thu Aug  9 07:36:10 UTC 2007
> pbuilder-time-stamp: 1186644970
> Building the build Environment
>  -> extracting base tarball [/var/cache/pbuilder/sid.tgz]
>  -> creating local configuration
>  -> copying local configuration
>  -> mounting /proc filesystem
>  -> mounting /dev/pts filesystem
>  -> policy-rc.d already exists
> Obtaining the cached apt archive contents
> Installing the build-deps
>  -> Attempting to parse the build-deps 
>  -> Considering build-dep patchutils (>= 0.2.25)
>    -> Trying patchutils
>  -> Considering build-dep debhelper (>= 4.1.0)
>    -> Trying debhelper
>  -> Considering build-dep pmake
>    -> Trying pmake
>  -> Considering build-dep flex
>    -> Trying flex
>  -> Considering build-dep bison
>    -> Trying bison
>  -> Installing  patchutils debhelper pmake flex bison
> Reading package lists...
> Building dependency tree...
> Reading state information...
> The following extra packages will be installed:
>   file gettext gettext-base html2text intltool-debian libmagic1 m4 po-debconf
> Suggested packages:
>   bison-doc dh-make cvs gettext-doc
> Recommended packages:
>   curl wget lynx libmail-sendmail-perl libcompress-zlib-perl
> The following NEW packages will be installed:
>   bison debhelper file flex gettext gettext-base html2text intltool-debian
>   libmagic1 m4 patchutils pmake po-debconf
> debconf: delaying package configuration, since apt-utils is not installed
> 0 upgraded, 13 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B/4727kB of archives.
> After unpacking 14.7MB of additional disk space will be used.
> Selecting previously deselected package m4.
> (Reading database ... 8965 files and directories currently installed.)
> Unpacking m4 (from .../archives/m4_1.4.9-2_i386.deb) ...
> Selecting previously deselected package flex.
> Unpacking flex (from .../flex_2.5.33-12_i386.deb) ...
> Selecting previously deselected package libmagic1.
> Unpacking libmagic1 (from .../libmagic1_4.21-2_i386.deb) ...
> Selecting previously deselected package file.
> Unpacking file (from .../archives/file_4.21-2_i386.deb) ...
> Selecting previously deselected package gettext-base.
> Unpacking gettext-base (from .../gettext-base_0.16.1-2_i386.deb) ...
> Selecting previously deselected package bison.
> Unpacking bison (from .../bison_1%3a2.3.dfsg-5_i386.deb) ...
> Selecting previously deselected package html2text.
> Unpacking html2text (from .../html2text_1.3.2a-3_i386.deb) ...
> Selecting previously deselected package gettext.
> Unpacking gettext (from .../gettext_0.16.1-2_i386.deb) ...
> Selecting previously deselected package intltool-debian.
> Unpacking intltool-debian (from .../intltool-debian_0.35.0+20060710.1_all.deb) ...
> Selecting previously deselected package po-debconf.
> Unpacking po-debconf (from .../po-debconf_1.0.9_all.deb) ...
> Selecting previously deselected package debhelper.
> Unpacking debhelper (from .../debhelper_5.0.53_all.deb) ...
> Selecting previously deselected package patchutils.
> Unpacking patchutils (from .../patchutils_0.2.31-4_i386.deb) ...
> Selecting previously deselected package pmake.
> Unpacking pmake (from .../pmake_1.111-1_i386.deb) ...
> Setting up m4 (1.4.9-2) ...
> 
> Setting up flex (2.5.33-12) ...
> 
> Setting up libmagic1 (4.21-2) ...
> 
> Setting up file (4.21-2) ...
> Setting up gettext-base (0.16.1-2) ...
> 
> Setting up bison (1:2.3.dfsg-5) ...
> 
> Setting up html2text (1.3.2a-3) ...
> 
> Setting up gettext (0.16.1-2) ...
> 
> Setting up intltool-debian (0.35.0+20060710.1) ...
> Setting up po-debconf (1.0.9) ...
> Setting up debhelper (5.0.53) ...
> Setting up patchutils (0.2.31-4) ...
> Setting up pmake (1.111-1) ...
>  -> Finished parsing the build-deps
> Reading package lists...
> Building dependency tree...
> Reading state information...
> fakeroot is already the newest version.
> 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> Copying back the cached apt archive contents
> Copying source file
>     -> copying [freebsd5-buildutils_5.4-4.dsc]
>     -> copying [./freebsd5-buildutils_5.4.orig.tar.gz]
>     -> copying [./freebsd5-buildutils_5.4-4.diff.gz]
> Extracting source
> gpg: can't open `/gnupg/options.skel': No such file or directory
> gpg: Signature made Fri Dec 23 16:20:50 2005 UTC using DSA key ID F1BCDB73
> gpg: Can't check signature: public key not found
> dpkg-source: extracting freebsd5-buildutils in freebsd5-buildutils-5.4
> dpkg-source: unpacking freebsd5-buildutils_5.4.orig.tar.gz
> dpkg-source: applying ./freebsd5-buildutils_5.4-4.diff.gz
>  -> Building the package
> Setting DEB_BUILD_OPTIONS=nostrip
> dpkg-buildpackage: source package is freebsd5-buildutils
> dpkg-buildpackage: source version is 5.4-4
> dpkg-buildpackage: source changed by Aurelien Jarno <aurel32@debian.org>
> dpkg-buildpackage: host architecture i386
> dpkg-buildpackage: source version without epoch 5.4-4
>  fakeroot debian/rules clean
> dh_testdir
> dh_testroot
> rm -rf build-tree
> rm -f *-stamp *-stamp *-stamp
> dh_clean
>  dpkg-source -b freebsd5-buildutils-5.4
> dpkg-source: building freebsd5-buildutils using existing freebsd5-buildutils_5.4.orig.tar.gz
> dpkg-source: building freebsd5-buildutils in freebsd5-buildutils_5.4-4.diff.gz
> dpkg-source: building freebsd5-buildutils in freebsd5-buildutils_5.4-4.dsc
>  debian/rules build
> mkdir build-tree
> tar -C build-tree -xzf src.tar.gz
> find build-tree -type d -name CVS | xargs rm -rf
> find build-tree -type f -exec sed -i -e "/^__FBSDID/d" {} \;
> set -e ; cd build-tree && \
> 		for i in /tmp/buildd/freebsd5-buildutils-5.4/debian/patches/* ; do \
> 		  patch -p0 < $i ; \
> 		done
> patching file src/contrib/one-true-awk/b.c
> patching file src/usr.bin/cksum/cksum.c
> patching file src/usr.bin/cksum/extern.h
> patching file src/usr.bin/make/main.c
> patching file src/usr.bin/yacc/main.c
> patching file src/usr.sbin/config/main.c
> patching file src/usr.sbin/mtree/compare.c
> patching file src/usr.sbin/mtree/create.c
> patching file src/usr.sbin/mtree/extern.h
> patching file src/usr.sbin/mtree/misc.c
> patching file src/usr.sbin/mtree/mtree.c
> patching file src/usr.sbin/mtree/mtree.h
> patching file src/usr.sbin/mtree/spec.c
> patching file src/usr.sbin/mtree/specspec.c
> patching file src/usr.sbin/mtree/verify.c
> patching file src/share/mk/bsd.incs.mk
> patching file src/share/mk/bsd.info.mk
> patching file src/share/mk/bsd.lib.mk
> patching file src/share/mk/bsd.man.mk
> patching file src/share/mk/bsd.own.mk
> patching file src/usr.bin/make/make.1
> patching file src/usr.bin/make/Makefile
> patching file src/usr.bin/make/pathnames.h
> patching file src/usr.bin/lex/flex.skl
> patching file src/usr.bin/make/dir.c
> patching file src/usr.bin/make/main.c
> patching file src/usr.bin/make/parse.c
> patching file src/usr.bin/make/suff.c
> patching file src/usr.bin/make/targ.c
> patching file src/usr.bin/make/util.c
> patching file src/usr.bin/make/var.c
> patching file src/usr.bin/make/var_modify.c
> patching file src/usr.bin/yacc/main.c
> patching file src/usr.bin/yacc/skeleton.c
> patching file src/usr.sbin/mtree/compare.c
> patching file src/usr.bin/make/main.c
> patching file src/usr.sbin/btxld/btx.h
> patching file src/usr.sbin/btxld/elf32.h
> patching file src/usr.sbin/btxld/elf_common.h
> patching file src/usr.sbin/btxld/elfh.c
> patching file src/usr.sbin/btxld/elfh.h
> patching file src/usr.sbin/config/config.h
> patching file src/usr.sbin/config/main.c
> patching file src/usr.sbin/config/queue.h
> patching file src/usr.sbin/mtree/compare.c
> patching file src/usr.sbin/mtree/create.c
> patching file src/usr.sbin/mtree/excludes.c
> patching file src/usr.sbin/mtree/Makefile
> patching file src/usr.sbin/mtree/spec.c
> patching file src/usr.sbin/btxld/btxld.c
> patching file src/usr.sbin/btxld/elfh.c
> patching file src/usr.sbin/kgzip/elfhdr.c
> patching file src/usr.sbin/kgzip/kgzld.c
> patching file src/usr.bin/awk/Makefile
> patching file src/usr.bin/cksum/Makefile
> patching file src/usr.bin/lex/Makefile
> patching file src/usr.bin/yacc/Makefile
> patching file src/usr.bin/make/job.c
> patching file src/usr.bin/brandelf/brandelf.c
> patching file src/usr.bin/brandelf/elf_common.h
> patching file src/usr.bin/make/arch.c
> patching file src/usr.bin/make/main.c
> patching file src/usr.sbin/config/main.c
> patching file src/usr.sbin/config/mkheaders.c
> patching file src/usr.sbin/config/mkmakefile.c
> patching file src/usr.sbin/config/mkoptions.c
> patching file src/usr.sbin/mtree/create.c
> patching file src/usr.sbin/mtree/extern.h
> patching file ports/Mk/bsd.port.mk
> patching file ports/Mk/bsd.port.subdir.mk
> patching file src/share/mk/bsd.port.mk
> patching file src/share/mk/bsd.port.subdir.mk
> patching file ports/Mk/bsd.port.mk
> touch unpack-stamp
> dh_testdir
> cd build-tree/src/usr.bin/yacc ; \
> 		pmake COPTS="-O2 -g -Wall -DMACHINE_ARCH='\"i386\"'" NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c closure.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c error.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c lalr.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c lr0.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c main.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c mkpar.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c output.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c reader.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c skeleton.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c symtab.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c verbose.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c warshall.c
> cc   -o yacc closure.o error.o lalr.o lr0.o main.o mkpar.o output.o reader.o skeleton.o symtab.o verbose.o warshall.o 
> cd build-tree/src/contrib/one-true-awk ; \
> 		/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/yacc/yacc -d -o awkgram.c ../../contrib/one-true-awk/awkgram.y
> yacc: 43 shift/reduce conflicts
> yacc: 85 reduce/reduce conflicts
> cd build-tree/src/usr.bin/awk ; \
> 		ln -sf ../../contrib/one-true-awk/awkgram.h ytab.h ; \
> 		pmake COPTS="-O2 -g -Wall -DMACHINE_ARCH='\"i386\"'" NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO
> cc -O -DHAS_ISBLANK -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/awkgram.c
> cc -O -DHAS_ISBLANK -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/b.c
> /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/b.c: In function 'cclenter':
> /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/b.c:300: warning: dereferencing type-punned pointer will break strict-aliasing rules
> /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/b.c:306: warning: dereferencing type-punned pointer will break strict-aliasing rules
> /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/b.c:313: warning: dereferencing type-punned pointer will break strict-aliasing rules
> /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/b.c:313: warning: dereferencing type-punned pointer will break strict-aliasing rules
> /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/b.c:321: warning: dereferencing type-punned pointer will break strict-aliasing rules
> /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/b.c:321: warning: dereferencing type-punned pointer will break strict-aliasing rules
> /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/b.c: In function 'relex':
> /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/b.c:772: warning: dereferencing type-punned pointer will break strict-aliasing rules
> /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/b.c:788: warning: dereferencing type-punned pointer will break strict-aliasing rules
> /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/b.c:788: warning: dereferencing type-punned pointer will break strict-aliasing rules
> /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/b.c:807: warning: dereferencing type-punned pointer will break strict-aliasing rules
> /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/b.c:807: warning: dereferencing type-punned pointer will break strict-aliasing rules
> cc -O -DHAS_ISBLANK -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/lex.c
> cc -O -DHAS_ISBLANK -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/lib.c
> cc -O -DHAS_ISBLANK -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/main.c
> cc -O -DHAS_ISBLANK -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/parse.c
> cc -O -DHAS_ISBLANK -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk -O2 -g -Wall -DMACHINE_ARCH='"i386"'    -o maketab /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/maketab.c 
> ./maketab > proctab.c
> maketab funny token 256 #define YYERRCODE 256
>  ignored
> cc -O -DHAS_ISBLANK -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/proctab.c
> cc -O -DHAS_ISBLANK -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/run.c
> cc -O -DHAS_ISBLANK -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/tran.c
> cc   -o nawk awkgram.o b.o lex.o lib.o main.o parse.o proctab.o run.o tran.o -lm
> cd build-tree/src/usr.bin/cksum ; pmake COPTS="-O2 -g -Wall -DMACHINE_ARCH='\"i386\"'" NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c cksum.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c crc.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c print.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c sum1.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c sum2.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c crc32.c
> cc   -o cksum cksum.o crc.o print.o sum1.o sum2.o crc32.o 
> cd build-tree/src/usr.bin/lex ; \
> 		pmake bootstrap ; \
> 		/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/yacc/yacc -d -o parse.c parse.y ; \
> 		pmake COPTS="-O2 -g -Wall -DMACHINE_ARCH='\"i386\"'" NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO
> Bootstrapping flex
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c scan.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c ccl.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c dfa.c
> dfa.c: In function 'ntod':
> dfa.c:400: warning: 'num_full_table_rows' may be used uninitialized in this function
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c ecs.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c gen.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c main.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c misc.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c nfa.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c parse.c
> sh /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex/mkskel.sh /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex/flex.skl > skel.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c skel.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c sym.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c tblcmp.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/lex -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c yylex.c
> cc   -o lex scan.o ccl.o dfa.o ecs.o gen.o main.o misc.o nfa.o parse.o skel.o sym.o tblcmp.o yylex.o 
> cd build-tree/src/usr.bin/make ; \
> 		pmake COPTS="-O2 -g -Wall -DMACHINE_ARCH='\"i386\"'" NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c arch.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c buf.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c compat.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c cond.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c dir.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c for.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c hash.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c job.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c main.c
> main.c: In function 'MainParseArgs':
> main.c:170: warning: unused variable 'p'
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c make.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c parse.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c str.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c suff.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c targ.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c util.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c var.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c var_modify.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstAppend.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstAtEnd.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstAtFront.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstClose.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstConcat.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstDatum.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstDeQueue.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstDestroy.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstDupl.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstEnQueue.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstFind.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstFindFrom.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstFirst.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstForEach.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstForEachFrom.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstInit.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstInsert.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstIsAtEnd.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstIsEmpty.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstLast.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstMember.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstNext.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstOpen.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstRemove.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstReplace.c
> cc -O -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make -DMAKE_VERSION=\"5200408120\" -DDEFSHELL=1 -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/make/lst.lib/lstSucc.c
> cc   -o make arch.o buf.o compat.o cond.o dir.o for.o hash.o job.o main.o make.o parse.o str.o suff.o targ.o util.o var.o var_modify.o lstAppend.o lstAtEnd.o lstAtFront.o lstClose.o lstConcat.o lstDatum.o lstDeQueue.o lstDestroy.o lstDupl.o lstEnQueue.o lstFind.o lstFindFrom.o lstFirst.o lstForEach.o lstForEachFrom.o lstInit.o lstInsert.o lstIsAtEnd.o lstIsEmpty.o lstLast.o lstMember.o lstNext.o lstOpen.o lstRemove.o lstReplace.o lstSucc.o 
> cd build-tree/src/usr.bin/mkdep ; pmake COPTS="-O2 -g -Wall -DMACHINE_ARCH='\"i386\"'" NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO
> cd build-tree/src/usr.sbin/config ; \
> 		/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/yacc/yacc -d config.y ; \
> 		cp y.tab.c config.c ; \
> 		pmake COPTS="-O2 -g -Wall -DMACHINE_ARCH='\"i386\"'" NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO
> lex  lang.l
> mv lex.yy.c lang.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.sbin/config -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c config.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.sbin/config -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c main.c
> main.c: In function 'path':
> main.c:393: warning: implicit declaration of function 'asprintf'
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.sbin/config -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c lang.c
> lex.yy.c:1367: warning: 'yyunput' defined but not used
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.sbin/config -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c mkmakefile.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.sbin/config -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c mkheaders.c
> cc -O -I. -I/tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.sbin/config -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c mkoptions.c
> mkoptions.c: In function 'tooption':
> mkoptions.c:270: warning: implicit declaration of function 'strlcpy'
> cc   -o config config.o main.o lang.o mkmakefile.o mkheaders.o mkoptions.o -ll
> cd build-tree/src/usr.sbin/mtree ; pmake COPTS="-O2 -g -Wall -DMACHINE_ARCH='\"i386\"'" NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c compare.c
> compare.c: In function 'compare':
> compare.c:81: warning: unused variable 'fflags'
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.sbin/mtree/../../usr.bin/cksum/crc.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c create.c
> create.c: In function 'cwalk':
> create.c:106: warning: passing argument 3 of 'fts_open' from incompatible pointer type
> create.c: In function 'statf':
> create.c:156: warning: unused variable 'fflags'
> create.c: In function 'statd':
> create.c:311: warning: unused variable 'fflags'
> create.c:302: warning: unused variable 'sflags'
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c excludes.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c misc.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c mtree.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c spec.c
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c verify.c
> verify.c: In function 'vwalk':
> verify.c:116: warning: implicit declaration of function 'compare'
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c specspec.c
> specspec.c: In function 'walk_in_the_forest':
> specspec.c:216: warning: implicit declaration of function 'asprintf'
> cc   -o mtree compare.o crc.o create.o excludes.o misc.o mtree.o spec.o verify.o specspec.o 
> cd build-tree/src/usr.bin/file2c ; pmake COPTS="-O2 -g -Wall -DMACHINE_ARCH='\"i386\"'" NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c file2c.c
> cc   -o file2c file2c.o 
> cd build-tree/src/usr.bin/brandelf ; pmake COPTS="-O2 -g -Wall -DMACHINE_ARCH='\"i386\"'" NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO
> cc -O -O2 -g -Wall -DMACHINE_ARCH='"i386"'   -c brandelf.c
> cc   -o brandelf brandelf.o 
> touch build-stamp
>  fakeroot debian/rules binary
> dh_testdir
> dh_testroot
> dh_clean -k
> dh_installdirs
> for i in awk cksum lex make mkdep yacc file2c brandelf ; do \
> 		cd /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/$i; \
> 		pmake install DESTDIR=/tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils BINDIR=/usr/bin ; \
> 	done
> install   -c -s -o root  -g root -m 755 nawk /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/bin/nawk
> cat /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.bin/awk/../../contrib/one-true-awk/awk.1 > nawk.1
> gzip -9cf nawk.1 > /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/nawk.1.gz
> /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/awk.1.gz -> /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/nawk.1.gz
> install   -c -s -o root  -g root -m 755 cksum /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/bin/cksum
> gzip -9cf cksum.1 > /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/cksum.1.gz
> /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/sum.1.gz -> /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/cksum.1.gz
> install   -c -s -o root  -g root -m 755 lex /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/bin/lex
> gzip -9cf lex.1 > /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/lex.1.gz
> /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/flex.1.gz -> /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/lex.1.gz
> /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/flex++.1.gz -> /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/lex.1.gz
> /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/lex++.1.gz -> /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/lex.1.gz
> install   -c -s -o root  -g root -m 755 make /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/bin/make
> gzip -9cf make.1 > /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/make.1.gz
> install   -c -o root -g  root -m 755 mkdep.gcc.sh /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/bin/mkdep
> gzip -9cf mkdep.1 > /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/mkdep.1.gz
> install   -c -s -o root  -g root -m 755 yacc /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/bin/yacc
> install   -c -o root -g  root -m 755 yyfix.sh /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/bin/yyfix
> gzip -9cf yacc.1 > /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/yacc.1.gz
> gzip -9cf yyfix.1 > /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/yyfix.1.gz
> /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/byacc.1.gz -> /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/yacc.1.gz
> install   -c -s -o root  -g root -m 755 file2c /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/bin/file2c
> gzip -9cf file2c.1 > /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/file2c.1.gz
> install   -c -s -o root  -g root -m 755 brandelf /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/bin/brandelf
> gzip -9cf brandelf.1 > /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man1/brandelf.1.gz
> for i in mtree config ; do \
> 		cd /tmp/buildd/freebsd5-buildutils-5.4/build-tree/src/usr.sbin/$i; \
> 		pmake install DESTDIR=/tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils BINDIR=/usr/sbin ; \
> 	done
> install   -c -s -o root  -g root -m 755 mtree /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/sbin/mtree
> gzip -9cf mtree.8 > /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man8/mtree.8.gz
> install   -c -s -o root  -g root -m 755 config /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/sbin/config
> gzip -9cf config.8 > /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man/man8/config.8.gz
> cd build-tree/src/share/mk ; \
> 		pmake install \
> 		DESTDIR=/tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils BINDIR=/usr/share
> install -o root -g root  -m 444 bsd.README bsd.compat.mk bsd.cpu.mk bsd.dep.mk bsd.doc.mk bsd.endian.mk bsd.files.mk bsd.incs.mk bsd.info.mk bsd.init.mk bsd.kmod.mk bsd.lib.mk bsd.libnames.mk bsd.links.mk bsd.man.mk bsd.nls.mk bsd.obj.mk bsd.own.mk bsd.port.mk bsd.port.post.mk bsd.port.pre.mk bsd.port.subdir.mk bsd.prog.mk bsd.subdir.mk bsd.sys.mk sys.mk /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/mk
> cp -af /tmp/buildd/freebsd5-buildutils-5.4/build-tree/ports \
> 		/tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/freebsd5-buildutils
> # rename awk
> mv /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/bin/nawk \
> 		/tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/bin/awk
> # relocate binaries
> mv \
> 		/tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/bin/* \
> 		/tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/sbin/* \
> 		/tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/lib/freebsd/
> for i in `cd /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/lib/freebsd && ls` ; do \
> 		ln -s ../lib/freebsd/$i \
> 		/tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/bin/freebsd-$i ; \
> 	done
> # remove trash
> rm -rf 	/tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/include \
> 		/tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/sbin \
> 		/tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/man \
> 		/tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/var
> # make stuff
> mv /tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/mk \
> 		/tmp/buildd/freebsd5-buildutils-5.4/debian/freebsd5-buildutils/usr/share/freebsd5-buildutils/mk
> dh_testdir
> dh_testroot
> dh_installdocs
> dh_installman
> dh_installchangelogs 
> dh_link
> dh_strip
> dh_compress
> dh_fixperms
> dh_installdeb
> dh_shlibdeps
> dh_gencontrol
> dh_md5sums
> dh_builddeb
> dpkg-deb: building package `freebsd5-buildutils' in `../freebsd5-buildutils_5.4-4_i386.deb'.
>  dpkg-genchanges
> dpkg-genchanges: not including original source code in upload
> dpkg-buildpackage: binary and diff upload (original source NOT included)
> Copying back the cached apt archive contents
>  -> unmounting dev/pts filesystem
>  -> unmounting proc filesystem
>  -> cleaning the build env 
>     -> removing directory /var/cache/pbuilder/build//13303 and its subdirectories
> Current time: Thu Aug  9 07:46:04 UTC 2007
> pbuilder-time-stamp: 1186645564
> Checking freebsd5-buildutils_5.4-4_i386.deb for stripped binaries...
> ---------------------------------------
> /tmp/freebsd5-buildutils_5.4-4_i386.deb/usr/lib/freebsd/yacc: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.6.8, dynamically linked (uses shared libs), stripped
> /tmp/freebsd5-buildutils_5.4-4_i386.deb/usr/lib/freebsd/config: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.6.8, dynamically linked (uses shared libs), stripped
> /tmp/freebsd5-buildutils_5.4-4_i386.deb/usr/lib/freebsd/make: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.6.8, dynamically linked (uses shared libs), stripped
> /tmp/freebsd5-buildutils_5.4-4_i386.deb/usr/lib/freebsd/brandelf: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.6.8, dynamically linked (uses shared libs), stripped
> /tmp/freebsd5-buildutils_5.4-4_i386.deb/usr/lib/freebsd/awk: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.6.8, dynamically linked (uses shared libs), stripped
> /tmp/freebsd5-buildutils_5.4-4_i386.deb/usr/lib/freebsd/lex: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.6.8, dynamically linked (uses shared libs), stripped
> /tmp/freebsd5-buildutils_5.4-4_i386.deb/usr/lib/freebsd/cksum: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.6.8, dynamically linked (uses shared libs), stripped
> /tmp/freebsd5-buildutils_5.4-4_i386.deb/usr/lib/freebsd/mtree: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.6.8, dynamically linked (uses shared libs), stripped
> /tmp/freebsd5-buildutils_5.4-4_i386.deb/usr/lib/freebsd/file2c: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.6.8, dynamically linked (uses shared libs), stripped
> 
> ...done
> Removing result files...
> ...done
> ******************************************************************************
> Finished with status BUILD_FAILED at 2007-08-09 07:46:18.051160
> Build needed 0:10:11.886719

-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#436857; Package freebsd5-buildutils. Full text and rfc822 format available.

Acknowledgement sent to Marco Rodrigues <gothicx@sapo.pt>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 436857@bugs.debian.org (full text, mbox):

From: Marco Rodrigues <gothicx@sapo.pt>
To: 492889@bugs.debian.org, 306203@bugs.debian.org, 476263@bugs.debian.org, 436857@bugs.debian.org, control@bugs.debian.org, freebsd-buildutils@packages.debian.org
Subject: Reassigning bugs from freebsd5-buildutils to freebsd-buildutils
Date: Sun, 17 Aug 2008 11:14:06 +0100
reassign 492889 freebsd-buildutils
reassign 306203 freebsd-buildutils
reassign 476263 freebsd-buildutils
reassign 436857 freebsd-buildutils
thanks

The freebsd5-buildutils package has been removed from Debian testing, unstable and
experimental. I am reassigning its bugs to the freebsd-buildutils package. Please
have a look at them, and close them if they don't apply to
freebsd-buildutils anymore.

Don't hesitate to reply to this mail if you have any question.

--
Marco Rodrigues
http://Marco.Tondela.org




Bug reassigned from package `freebsd5-buildutils' to `freebsd-buildutils'. Request was from Marco Rodrigues <gothicx@sapo.pt> to control@bugs.debian.org. (Sun, 17 Aug 2008 10:15:17 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 10 Apr 2010 16:33:08 GMT) Full text and rfc822 format available.

Notification sent to Julien Danjou <acid@debian.org>:
Bug acknowledged by developer. (Sat, 10 Apr 2010 16:33:08 GMT) Full text and rfc822 format available.

Message #17 received at 436857-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 436857-close@bugs.debian.org
Subject: Bug#436857: fixed in freebsd-buildutils 7.2-2
Date: Sat, 10 Apr 2010 16:29:43 +0000
Source: freebsd-buildutils
Source-Version: 7.2-2

We believe that the bug you reported is fixed in the latest version of
freebsd-buildutils, which is due to be installed in the Debian FTP archive:

freebsd-buildutils_7.2-2.diff.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_7.2-2.diff.gz
freebsd-buildutils_7.2-2.dsc
  to main/f/freebsd-buildutils/freebsd-buildutils_7.2-2.dsc
freebsd-buildutils_7.2-2_kfreebsd-amd64.deb
  to main/f/freebsd-buildutils/freebsd-buildutils_7.2-2_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 436857@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated freebsd-buildutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Apr 2010 16:49:49 +0200
Source: freebsd-buildutils
Binary: freebsd-buildutils
Architecture: source kfreebsd-amd64
Version: 7.2-2
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 freebsd-buildutils - Utilities for building FreeBSD sources
Closes: 379259 436857
Changes: 
 freebsd-buildutils (7.2-2) unstable; urgency=low
 .
   * Remove part of the automatic patches in favor of patches.
   * Use libbsd instead of hacked funtions (Closes: #379259).
   * Use <bsd/sys/*.h> includes instead of <bsd/*.h>.
   * Remove depends on dash, it is now essential.
   * Add depends on ${misc:Depends}.
   * Bumped Standard-Versions to 3.8.4 (no changes).
   * Handle nostrip build options (Closes: #436857).
Checksums-Sha1: 
 24db5670131a114ebc1729820a30490093f206dc 1296 freebsd-buildutils_7.2-2.dsc
 da097164843cc04afc48481adaefc56dd86a89b3 23131 freebsd-buildutils_7.2-2.diff.gz
 dbc38e6a5654836454aff9ec3bb3956aa5ad4d5a 432764 freebsd-buildutils_7.2-2_kfreebsd-amd64.deb
Checksums-Sha256: 
 f64cd27aa326d880a3067cc7842071b8fda9e2f7a74064912d67cc0a7a7b8b1d 1296 freebsd-buildutils_7.2-2.dsc
 19e9c640be64bdef32f3fb2041fc4b0167b9001aba5bc00d859faedff112d691 23131 freebsd-buildutils_7.2-2.diff.gz
 eaec7c44346e61275f8c91c323db3e280e05b1e8ee0a4ac04345e89caae81427 432764 freebsd-buildutils_7.2-2_kfreebsd-amd64.deb
Files: 
 359e474cf831b62dd4753ea1921158db 1296 devel extra freebsd-buildutils_7.2-2.dsc
 a424a1e9167073f91902279c48e2c1d6 23131 devel extra freebsd-buildutils_7.2-2.diff.gz
 c4d2fdf9638d6318417c02f920db403d 432764 devel extra freebsd-buildutils_7.2-2_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFLwJB1w3ao2vG823MRAko2AJ9a+b06iSxZfQaLCXrYv2Pmr1KQ6wCfa0PA
dEuGUbC4EmMLNOMdcwwltAk=
=RjYy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 May 2010 07:37:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:58:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.